> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tranthor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# POST /api/admin/broadcasts/execute

> Create and trigger a broadcast.



## OpenAPI

````yaml post /api/admin/broadcasts/execute
openapi: 3.1.0
info:
  title: Tranthor API
  description: Tranthor API Swagger Documentation
  version: 0.0.1
servers: []
security: []
paths:
  /api/admin/broadcasts/execute:
    post:
      tags:
        - Broadcasts
      description: Create and trigger a broadcast.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                workspaceId:
                  type: string
                broadcastName:
                  type: string
                segmentDefinition:
                  type: object
                  properties:
                    entryNode:
                      anyOf:
                        - anyOf:
                            - type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - Trait
                                id:
                                  type: string
                                path:
                                  type: string
                                operator:
                                  anyOf:
                                    - type: object
                                      properties:
                                        type:
                                          type: string
                                          enum:
                                            - Within
                                        windowSeconds:
                                          type: number
                                      required:
                                        - type
                                        - windowSeconds
                                    - type: object
                                      properties:
                                        type:
                                          type: string
                                          enum:
                                            - Equals
                                        value:
                                          anyOf:
                                            - type: string
                                            - type: number
                                      required:
                                        - type
                                        - value
                                    - type: object
                                      properties:
                                        type:
                                          type: string
                                          enum:
                                            - NotEquals
                                        value:
                                          anyOf:
                                            - type: string
                                            - type: number
                                      required:
                                        - type
                                        - value
                                    - type: object
                                      properties:
                                        type:
                                          type: string
                                          enum:
                                            - HasBeen
                                        comparator:
                                          anyOf:
                                            - type: string
                                              enum:
                                                - GTE
                                            - type: string
                                              enum:
                                                - LT
                                        value:
                                          anyOf:
                                            - type: string
                                            - type: number
                                        windowSeconds:
                                          type: number
                                      required:
                                        - type
                                        - comparator
                                        - value
                                        - windowSeconds
                                    - type: object
                                      properties:
                                        type:
                                          type: string
                                          enum:
                                            - Exists
                                      required:
                                        - type
                                    - type: object
                                      properties:
                                        type:
                                          type: string
                                          enum:
                                            - GreaterThanOrEqual
                                        value:
                                          type: number
                                      required:
                                        - type
                                        - value
                                    - type: object
                                      properties:
                                        type:
                                          type: string
                                          enum:
                                            - LessThan
                                        value:
                                          type: number
                                      required:
                                        - type
                                        - value
                              required:
                                - type
                                - id
                                - path
                                - operator
                            - type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - And
                                id:
                                  type: string
                                children:
                                  type: array
                                  items:
                                    type: string
                              required:
                                - type
                                - id
                                - children
                            - type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - Or
                                id:
                                  type: string
                                children:
                                  type: array
                                  items:
                                    type: string
                              required:
                                - type
                                - id
                                - children
                            - type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - Performed
                                id:
                                  type: string
                                event:
                                  type: string
                                times:
                                  type: number
                                timesOperator:
                                  anyOf:
                                    - type: string
                                      enum:
                                        - '='
                                    - type: string
                                      enum:
                                        - '>='
                                    - type: string
                                      enum:
                                        - <
                                withinSeconds:
                                  type: number
                                properties:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      path:
                                        type: string
                                      operator:
                                        anyOf:
                                          - type: object
                                            properties:
                                              type:
                                                type: string
                                                enum:
                                                  - Within
                                              windowSeconds:
                                                type: number
                                            required:
                                              - type
                                              - windowSeconds
                                          - type: object
                                            properties:
                                              type:
                                                type: string
                                                enum:
                                                  - Equals
                                              value:
                                                anyOf:
                                                  - type: string
                                                  - type: number
                                            required:
                                              - type
                                              - value
                                          - type: object
                                            properties:
                                              type:
                                                type: string
                                                enum:
                                                  - NotEquals
                                              value:
                                                anyOf:
                                                  - type: string
                                                  - type: number
                                            required:
                                              - type
                                              - value
                                          - type: object
                                            properties:
                                              type:
                                                type: string
                                                enum:
                                                  - HasBeen
                                              comparator:
                                                anyOf:
                                                  - type: string
                                                    enum:
                                                      - GTE
                                                  - type: string
                                                    enum:
                                                      - LT
                                              value:
                                                anyOf:
                                                  - type: string
                                                  - type: number
                                              windowSeconds:
                                                type: number
                                            required:
                                              - type
                                              - comparator
                                              - value
                                              - windowSeconds
                                          - type: object
                                            properties:
                                              type:
                                                type: string
                                                enum:
                                                  - Exists
                                            required:
                                              - type
                                          - type: object
                                            properties:
                                              type:
                                                type: string
                                                enum:
                                                  - GreaterThanOrEqual
                                              value:
                                                type: number
                                            required:
                                              - type
                                              - value
                                          - type: object
                                            properties:
                                              type:
                                                type: string
                                                enum:
                                                  - LessThan
                                              value:
                                                type: number
                                            required:
                                              - type
                                              - value
                                    required:
                                      - path
                                      - operator
                              required:
                                - type
                                - id
                                - event
                            - type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - LastPerformed
                                id:
                                  type: string
                                event:
                                  type: string
                                whereProperties:
                                  description: >-
                                    Used to select which events are eligible to
                                    be considered.
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      path:
                                        type: string
                                      operator:
                                        anyOf:
                                          - type: object
                                            properties:
                                              type:
                                                type: string
                                                enum:
                                                  - Within
                                              windowSeconds:
                                                type: number
                                            required:
                                              - type
                                              - windowSeconds
                                          - type: object
                                            properties:
                                              type:
                                                type: string
                                                enum:
                                                  - Equals
                                              value:
                                                anyOf:
                                                  - type: string
                                                  - type: number
                                            required:
                                              - type
                                              - value
                                          - type: object
                                            properties:
                                              type:
                                                type: string
                                                enum:
                                                  - NotEquals
                                              value:
                                                anyOf:
                                                  - type: string
                                                  - type: number
                                            required:
                                              - type
                                              - value
                                          - type: object
                                            properties:
                                              type:
                                                type: string
                                                enum:
                                                  - HasBeen
                                              comparator:
                                                anyOf:
                                                  - type: string
                                                    enum:
                                                      - GTE
                                                  - type: string
                                                    enum:
                                                      - LT
                                              value:
                                                anyOf:
                                                  - type: string
                                                  - type: number
                                              windowSeconds:
                                                type: number
                                            required:
                                              - type
                                              - comparator
                                              - value
                                              - windowSeconds
                                          - type: object
                                            properties:
                                              type:
                                                type: string
                                                enum:
                                                  - Exists
                                            required:
                                              - type
                                          - type: object
                                            properties:
                                              type:
                                                type: string
                                                enum:
                                                  - GreaterThanOrEqual
                                              value:
                                                type: number
                                            required:
                                              - type
                                              - value
                                          - type: object
                                            properties:
                                              type:
                                                type: string
                                                enum:
                                                  - LessThan
                                              value:
                                                type: number
                                            required:
                                              - type
                                              - value
                                    required:
                                      - path
                                      - operator
                                hasProperties:
                                  description: >-
                                    Used to evaluate whether the user is in the
                                    segment based on the properties of the
                                    selected event.
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      path:
                                        type: string
                                      operator:
                                        anyOf:
                                          - type: object
                                            properties:
                                              type:
                                                type: string
                                                enum:
                                                  - Within
                                              windowSeconds:
                                                type: number
                                            required:
                                              - type
                                              - windowSeconds
                                          - type: object
                                            properties:
                                              type:
                                                type: string
                                                enum:
                                                  - Equals
                                              value:
                                                anyOf:
                                                  - type: string
                                                  - type: number
                                            required:
                                              - type
                                              - value
                                          - type: object
                                            properties:
                                              type:
                                                type: string
                                                enum:
                                                  - NotEquals
                                              value:
                                                anyOf:
                                                  - type: string
                                                  - type: number
                                            required:
                                              - type
                                              - value
                                          - type: object
                                            properties:
                                              type:
                                                type: string
                                                enum:
                                                  - HasBeen
                                              comparator:
                                                anyOf:
                                                  - type: string
                                                    enum:
                                                      - GTE
                                                  - type: string
                                                    enum:
                                                      - LT
                                              value:
                                                anyOf:
                                                  - type: string
                                                  - type: number
                                              windowSeconds:
                                                type: number
                                            required:
                                              - type
                                              - comparator
                                              - value
                                              - windowSeconds
                                          - type: object
                                            properties:
                                              type:
                                                type: string
                                                enum:
                                                  - Exists
                                            required:
                                              - type
                                          - type: object
                                            properties:
                                              type:
                                                type: string
                                                enum:
                                                  - GreaterThanOrEqual
                                              value:
                                                type: number
                                            required:
                                              - type
                                              - value
                                          - type: object
                                            properties:
                                              type:
                                                type: string
                                                enum:
                                                  - LessThan
                                              value:
                                                type: number
                                            required:
                                              - type
                                              - value
                                    required:
                                      - path
                                      - operator
                              required:
                                - type
                                - id
                                - event
                                - hasProperties
                            - type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - Email
                                id:
                                  type: string
                                event:
                                  anyOf:
                                    - type: string
                                      enum:
                                        - TRInternalMessageSent
                                    - type: string
                                      enum:
                                        - TREmailAccepted
                                    - type: string
                                      enum:
                                        - TREmailDropped
                                    - type: string
                                      enum:
                                        - TREmailDelivered
                                    - type: string
                                      enum:
                                        - TREmailOpened
                                    - type: string
                                      enum:
                                        - TREmailClicked
                                    - type: string
                                      enum:
                                        - TREmailBounced
                                    - type: string
                                      enum:
                                        - TREmailMarkedSpam
                                times:
                                  type: number
                                templateId:
                                  type: string
                              required:
                                - type
                                - id
                                - event
                                - templateId
                            - type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - Broadcast
                                id:
                                  type: string
                              required:
                                - type
                                - id
                            - type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - SubscriptionGroup
                                id:
                                  type: string
                                subscriptionGroupId:
                                  type: string
                                subscriptionGroupType:
                                  anyOf:
                                    - type: string
                                      enum:
                                        - OptIn
                                    - type: string
                                      enum:
                                        - OptOut
                              required:
                                - type
                                - id
                                - subscriptionGroupId
                                - subscriptionGroupType
                            - type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - RandomBucket
                                id:
                                  type: string
                                percent:
                                  description: >-
                                    The percentage of users to be randomly
                                    assigned to be in the segment. Expressed as
                                    a number between 0 and 1.
                                  type: number
                              required:
                                - type
                                - id
                                - percent
                        - type: object
                          properties:
                            type:
                              type: string
                              enum:
                                - Manual
                            version:
                              type: number
                            id:
                              type: string
                          required:
                            - type
                            - version
                            - id
                        - type: object
                          properties:
                            type:
                              type: string
                              enum:
                                - Everyone
                            id:
                              type: string
                          required:
                            - type
                            - id
                        - type: object
                          properties:
                            type:
                              type: string
                              enum:
                                - KeyedPerformed
                            id:
                              type: string
                            event:
                              type: string
                            key:
                              type: string
                            times:
                              type: number
                            timesOperator:
                              anyOf:
                                - type: string
                                  enum:
                                    - '='
                                - type: string
                                  enum:
                                    - '>='
                                - type: string
                                  enum:
                                    - <
                            properties:
                              type: array
                              items:
                                type: object
                                properties:
                                  path:
                                    type: string
                                  operator:
                                    anyOf:
                                      - type: object
                                        properties:
                                          type:
                                            type: string
                                            enum:
                                              - Equals
                                          value:
                                            anyOf:
                                              - type: string
                                              - type: number
                                        required:
                                          - type
                                          - value
                                      - type: object
                                        properties:
                                          type:
                                            type: string
                                            enum:
                                              - Exists
                                        required:
                                          - type
                                      - type: object
                                        properties:
                                          type:
                                            type: string
                                            enum:
                                              - GreaterThanOrEqual
                                          value:
                                            type: number
                                        required:
                                          - type
                                          - value
                                      - type: object
                                        properties:
                                          type:
                                            type: string
                                            enum:
                                              - LessThan
                                          value:
                                            type: number
                                        required:
                                          - type
                                          - value
                                required:
                                  - path
                                  - operator
                          required:
                            - type
                            - id
                            - event
                            - key
                    nodes:
                      type: array
                      items:
                        anyOf:
                          - type: object
                            properties:
                              type:
                                type: string
                                enum:
                                  - Trait
                              id:
                                type: string
                              path:
                                type: string
                              operator:
                                anyOf:
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - Within
                                      windowSeconds:
                                        type: number
                                    required:
                                      - type
                                      - windowSeconds
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - Equals
                                      value:
                                        anyOf:
                                          - type: string
                                          - type: number
                                    required:
                                      - type
                                      - value
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - NotEquals
                                      value:
                                        anyOf:
                                          - type: string
                                          - type: number
                                    required:
                                      - type
                                      - value
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - HasBeen
                                      comparator:
                                        anyOf:
                                          - type: string
                                            enum:
                                              - GTE
                                          - type: string
                                            enum:
                                              - LT
                                      value:
                                        anyOf:
                                          - type: string
                                          - type: number
                                      windowSeconds:
                                        type: number
                                    required:
                                      - type
                                      - comparator
                                      - value
                                      - windowSeconds
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - Exists
                                    required:
                                      - type
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - GreaterThanOrEqual
                                      value:
                                        type: number
                                    required:
                                      - type
                                      - value
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - LessThan
                                      value:
                                        type: number
                                    required:
                                      - type
                                      - value
                            required:
                              - type
                              - id
                              - path
                              - operator
                          - type: object
                            properties:
                              type:
                                type: string
                                enum:
                                  - And
                              id:
                                type: string
                              children:
                                type: array
                                items:
                                  type: string
                            required:
                              - type
                              - id
                              - children
                          - type: object
                            properties:
                              type:
                                type: string
                                enum:
                                  - Or
                              id:
                                type: string
                              children:
                                type: array
                                items:
                                  type: string
                            required:
                              - type
                              - id
                              - children
                          - type: object
                            properties:
                              type:
                                type: string
                                enum:
                                  - Performed
                              id:
                                type: string
                              event:
                                type: string
                              times:
                                type: number
                              timesOperator:
                                anyOf:
                                  - type: string
                                    enum:
                                      - '='
                                  - type: string
                                    enum:
                                      - '>='
                                  - type: string
                                    enum:
                                      - <
                              withinSeconds:
                                type: number
                              properties:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    path:
                                      type: string
                                    operator:
                                      anyOf:
                                        - type: object
                                          properties:
                                            type:
                                              type: string
                                              enum:
                                                - Within
                                            windowSeconds:
                                              type: number
                                          required:
                                            - type
                                            - windowSeconds
                                        - type: object
                                          properties:
                                            type:
                                              type: string
                                              enum:
                                                - Equals
                                            value:
                                              anyOf:
                                                - type: string
                                                - type: number
                                          required:
                                            - type
                                            - value
                                        - type: object
                                          properties:
                                            type:
                                              type: string
                                              enum:
                                                - NotEquals
                                            value:
                                              anyOf:
                                                - type: string
                                                - type: number
                                          required:
                                            - type
                                            - value
                                        - type: object
                                          properties:
                                            type:
                                              type: string
                                              enum:
                                                - HasBeen
                                            comparator:
                                              anyOf:
                                                - type: string
                                                  enum:
                                                    - GTE
                                                - type: string
                                                  enum:
                                                    - LT
                                            value:
                                              anyOf:
                                                - type: string
                                                - type: number
                                            windowSeconds:
                                              type: number
                                          required:
                                            - type
                                            - comparator
                                            - value
                                            - windowSeconds
                                        - type: object
                                          properties:
                                            type:
                                              type: string
                                              enum:
                                                - Exists
                                          required:
                                            - type
                                        - type: object
                                          properties:
                                            type:
                                              type: string
                                              enum:
                                                - GreaterThanOrEqual
                                            value:
                                              type: number
                                          required:
                                            - type
                                            - value
                                        - type: object
                                          properties:
                                            type:
                                              type: string
                                              enum:
                                                - LessThan
                                            value:
                                              type: number
                                          required:
                                            - type
                                            - value
                                  required:
                                    - path
                                    - operator
                            required:
                              - type
                              - id
                              - event
                          - type: object
                            properties:
                              type:
                                type: string
                                enum:
                                  - LastPerformed
                              id:
                                type: string
                              event:
                                type: string
                              whereProperties:
                                description: >-
                                  Used to select which events are eligible to be
                                  considered.
                                type: array
                                items:
                                  type: object
                                  properties:
                                    path:
                                      type: string
                                    operator:
                                      anyOf:
                                        - type: object
                                          properties:
                                            type:
                                              type: string
                                              enum:
                                                - Within
                                            windowSeconds:
                                              type: number
                                          required:
                                            - type
                                            - windowSeconds
                                        - type: object
                                          properties:
                                            type:
                                              type: string
                                              enum:
                                                - Equals
                                            value:
                                              anyOf:
                                                - type: string
                                                - type: number
                                          required:
                                            - type
                                            - value
                                        - type: object
                                          properties:
                                            type:
                                              type: string
                                              enum:
                                                - NotEquals
                                            value:
                                              anyOf:
                                                - type: string
                                                - type: number
                                          required:
                                            - type
                                            - value
                                        - type: object
                                          properties:
                                            type:
                                              type: string
                                              enum:
                                                - HasBeen
                                            comparator:
                                              anyOf:
                                                - type: string
                                                  enum:
                                                    - GTE
                                                - type: string
                                                  enum:
                                                    - LT
                                            value:
                                              anyOf:
                                                - type: string
                                                - type: number
                                            windowSeconds:
                                              type: number
                                          required:
                                            - type
                                            - comparator
                                            - value
                                            - windowSeconds
                                        - type: object
                                          properties:
                                            type:
                                              type: string
                                              enum:
                                                - Exists
                                          required:
                                            - type
                                        - type: object
                                          properties:
                                            type:
                                              type: string
                                              enum:
                                                - GreaterThanOrEqual
                                            value:
                                              type: number
                                          required:
                                            - type
                                            - value
                                        - type: object
                                          properties:
                                            type:
                                              type: string
                                              enum:
                                                - LessThan
                                            value:
                                              type: number
                                          required:
                                            - type
                                            - value
                                  required:
                                    - path
                                    - operator
                              hasProperties:
                                description: >-
                                  Used to evaluate whether the user is in the
                                  segment based on the properties of the
                                  selected event.
                                type: array
                                items:
                                  type: object
                                  properties:
                                    path:
                                      type: string
                                    operator:
                                      anyOf:
                                        - type: object
                                          properties:
                                            type:
                                              type: string
                                              enum:
                                                - Within
                                            windowSeconds:
                                              type: number
                                          required:
                                            - type
                                            - windowSeconds
                                        - type: object
                                          properties:
                                            type:
                                              type: string
                                              enum:
                                                - Equals
                                            value:
                                              anyOf:
                                                - type: string
                                                - type: number
                                          required:
                                            - type
                                            - value
                                        - type: object
                                          properties:
                                            type:
                                              type: string
                                              enum:
                                                - NotEquals
                                            value:
                                              anyOf:
                                                - type: string
                                                - type: number
                                          required:
                                            - type
                                            - value
                                        - type: object
                                          properties:
                                            type:
                                              type: string
                                              enum:
                                                - HasBeen
                                            comparator:
                                              anyOf:
                                                - type: string
                                                  enum:
                                                    - GTE
                                                - type: string
                                                  enum:
                                                    - LT
                                            value:
                                              anyOf:
                                                - type: string
                                                - type: number
                                            windowSeconds:
                                              type: number
                                          required:
                                            - type
                                            - comparator
                                            - value
                                            - windowSeconds
                                        - type: object
                                          properties:
                                            type:
                                              type: string
                                              enum:
                                                - Exists
                                          required:
                                            - type
                                        - type: object
                                          properties:
                                            type:
                                              type: string
                                              enum:
                                                - GreaterThanOrEqual
                                            value:
                                              type: number
                                          required:
                                            - type
                                            - value
                                        - type: object
                                          properties:
                                            type:
                                              type: string
                                              enum:
                                                - LessThan
                                            value:
                                              type: number
                                          required:
                                            - type
                                            - value
                                  required:
                                    - path
                                    - operator
                            required:
                              - type
                              - id
                              - event
                              - hasProperties
                          - type: object
                            properties:
                              type:
                                type: string
                                enum:
                                  - Email
                              id:
                                type: string
                              event:
                                anyOf:
                                  - type: string
                                    enum:
                                      - TRInternalMessageSent
                                  - type: string
                                    enum:
                                      - TREmailAccepted
                                  - type: string
                                    enum:
                                      - TREmailDropped
                                  - type: string
                                    enum:
                                      - TREmailDelivered
                                  - type: string
                                    enum:
                                      - TREmailOpened
                                  - type: string
                                    enum:
                                      - TREmailClicked
                                  - type: string
                                    enum:
                                      - TREmailBounced
                                  - type: string
                                    enum:
                                      - TREmailMarkedSpam
                              times:
                                type: number
                              templateId:
                                type: string
                            required:
                              - type
                              - id
                              - event
                              - templateId
                          - type: object
                            properties:
                              type:
                                type: string
                                enum:
                                  - Broadcast
                              id:
                                type: string
                            required:
                              - type
                              - id
                          - type: object
                            properties:
                              type:
                                type: string
                                enum:
                                  - SubscriptionGroup
                              id:
                                type: string
                              subscriptionGroupId:
                                type: string
                              subscriptionGroupType:
                                anyOf:
                                  - type: string
                                    enum:
                                      - OptIn
                                  - type: string
                                    enum:
                                      - OptOut
                            required:
                              - type
                              - id
                              - subscriptionGroupId
                              - subscriptionGroupType
                          - type: object
                            properties:
                              type:
                                type: string
                                enum:
                                  - RandomBucket
                              id:
                                type: string
                              percent:
                                description: >-
                                  The percentage of users to be randomly
                                  assigned to be in the segment. Expressed as a
                                  number between 0 and 1.
                                type: number
                            required:
                              - type
                              - id
                              - percent
                  required:
                    - entryNode
                    - nodes
                messageTemplateDefinition:
                  anyOf:
                    - description: Mobile push template resource
                      type: object
                      properties:
                        type:
                          type: string
                          enum:
                            - MobilePush
                        title:
                          type: string
                        body:
                          type: string
                        imageUrl:
                          type: string
                        android:
                          type: object
                          properties:
                            notification:
                              type: object
                              properties:
                                channelId:
                                  type: string
                          required:
                            - notification
                      required:
                        - type
                    - type: object
                      properties:
                        type:
                          type: string
                          enum:
                            - Email
                        from:
                          type: string
                        subject:
                          type: string
                        replyTo:
                          type: string
                        headers:
                          type: array
                          items:
                            type: object
                            properties:
                              name:
                                type: string
                              value:
                                type: string
                            required:
                              - name
                              - value
                        attachmentUserProperties:
                          description: >-
                            Names of user properties to attach to the email as
                            attachments.
                          type: array
                          items:
                            type: string
                        body:
                          type: string
                        codeFormat:
                          anyOf:
                            - type: string
                              enum:
                                - html
                            - type: string
                              enum:
                                - mjml
                            - type: string
                              enum:
                                - react-email
                        localizationEnabled:
                          type: boolean
                        localizations:
                          type: object
                          additionalProperties:
                            type: object
                            properties:
                              description:
                                type: string
                              from:
                                type: string
                              subject:
                                type: string
                              body:
                                type: string
                              replyTo:
                                type: string
                            required:
                              - subject
                              - body
                      required:
                        - type
                        - from
                        - subject
                        - body
                    - description: SMS template resource
                      type: object
                      properties:
                        type:
                          type: string
                          enum:
                            - Sms
                        body:
                          type: string
                      required:
                        - type
                        - body
                    - description: Webhook template resource
                      type: object
                      properties:
                        type:
                          type: string
                          enum:
                            - Webhook
                        identifierKey:
                          type: string
                        body:
                          type: string
                      required:
                        - type
                        - identifierKey
                        - body
                    - description: Full WhatsApp template resource for API responses
                      type: object
                      properties:
                        id:
                          type: string
                        workspaceId:
                          type: string
                        name:
                          type: string
                        type:
                          type: string
                          enum:
                            - Whatsapp
                        elementName:
                          anyOf:
                            - type: string
                            - type: 'null'
                        language:
                          type: string
                        category:
                          type: string
                        body:
                          type: string
                        components:
                          type: array
                          items:
                            type: object
                            properties:
                              type:
                                anyOf:
                                  - type: string
                                    enum:
                                      - HEADER
                                  - type: string
                                    enum:
                                      - BODY
                                  - type: string
                                    enum:
                                      - FOOTER
                                  - type: string
                                    enum:
                                      - BUTTONS
                              format:
                                anyOf:
                                  - type: string
                                    enum:
                                      - TEXT
                                  - type: string
                                    enum:
                                      - IMAGE
                                  - type: string
                                    enum:
                                      - VIDEO
                                  - type: string
                                    enum:
                                      - DOCUMENT
                              text:
                                type: string
                              buttons:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    type:
                                      anyOf:
                                        - type: string
                                          enum:
                                            - PHONE_NUMBER
                                        - type: string
                                          enum:
                                            - URL
                                        - type: string
                                          enum:
                                            - QUICK_REPLY
                                    text:
                                      type: string
                                    phoneNumber:
                                      type: string
                                    url:
                                      type: string
                                    example:
                                      type: array
                                      items:
                                        type: string
                                  required:
                                    - type
                                    - text
                              example:
                                type: object
                                properties:
                                  header_handle:
                                    type: array
                                    items:
                                      type: string
                                  header_text:
                                    type: array
                                    items:
                                      type: string
                                  body_text:
                                    type: array
                                    items:
                                      type: array
                                      items:
                                        type: string
                            required:
                              - type
                        twilioTemplateSid:
                          anyOf:
                            - type: string
                            - type: 'null'
                        status:
                          anyOf:
                            - type: string
                              enum:
                                - UNSUBMITTED
                            - type: string
                              enum:
                                - RECEIVED
                            - type: string
                              enum:
                                - PENDING
                            - type: string
                              enum:
                                - APPROVED
                            - type: string
                              enum:
                                - REJECTED
                            - type: string
                              enum:
                                - PAUSED
                            - type: string
                              enum:
                                - DISABLED
                            - type: string
                              enum:
                                - CREATED
                        metaTemplateId:
                          anyOf:
                            - type: string
                            - type: 'null'
                        rejectionReason:
                          anyOf:
                            - type: string
                            - type: 'null'
                        createdAt:
                          format: date-time
                          type: string
                        updatedAt:
                          format: date-time
                          type: string
                        twilioContentType:
                          anyOf:
                            - type: string
                              enum:
                                - twilio/text
                            - type: string
                              enum:
                                - twilio/quick-reply
                            - type: string
                              enum:
                                - whatsapp/card
                            - type: string
                              enum:
                                - twilio/whatsapp-template
                        variables:
                          type: object
                          additionalProperties:
                            type: string
                        quickReplyActions:
                          maxItems: 3
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                description: >-
                                  Unique identifier for the reply button, sent
                                  to your webhook.
                                type: string
                              title:
                                description: Button text. Max 20 characters.
                                type: string
                            required:
                              - id
                              - title
                        cardHeaderText:
                          type: string
                        cardImageUrl:
                          type: string
                        cardFooter:
                          type: string
                        cardActions:
                          maxItems: 2
                          type: array
                          items:
                            type: object
                            properties:
                              type:
                                description: Type of card action.
                                anyOf:
                                  - type: string
                                    enum:
                                      - URL
                                  - type: string
                                    enum:
                                      - PHONE_NUMBER
                              title:
                                description: Button text. Max 20 characters.
                                type: string
                              url:
                                description: >-
                                  URL for URL buttons. Must be HTTPS. Required
                                  if type is URL.
                                type: string
                              phone:
                                description: >-
                                  Phone number for PHONE_NUMBER buttons (E.164
                                  format). Required if type is PHONE_NUMBER.
                                type: string
                            required:
                              - type
                              - title
                      required:
                        - id
                        - workspaceId
                        - name
                        - type
                        - language
                        - category
                        - body
                        - createdAt
                        - updatedAt
                subscriptionGroupId:
                  type: string
              required:
                - workspaceId
                - broadcastName
                - segmentDefinition
                - messageTemplateDefinition
        required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  broadcastName:
                    type: string
                  broadcastId:
                    type: string
                required:
                  - broadcastName
                  - broadcastId

````